// CheckReliability.h: interface for the CCheckReliability class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHECKRELIABILITY_H__2E33B92B_29AE_4373_9392_213FB828E77E__INCLUDED_)
#define AFX_CHECKRELIABILITY_H__2E33B92B_29AE_4373_9392_213FB828E77E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CCheckReliability  
{
public:
	CCheckReliability();
	virtual ~CCheckReliability();
	int GetReliability( unsigned int nAccessCount, unsigned int nReportCount );
	int GetTotalReliability( unsigned int nGestAccessCount, unsigned int nGestReportCount,
							unsigned int nMemberAccessCount, unsigned int nMemberReportCount );
	int GetTotalReliability( int nMemberReliability, int nGuestReliability );
	CString GetCombinedString( unsigned int nAccessCount, unsigned int nReportCount );
};

#endif // !defined(AFX_CHECKRELIABILITY_H__2E33B92B_29AE_4373_9392_213FB828E77E__INCLUDED_)
